ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APIReports & AnalyticsWin Rate Report (By Owner & Source)

Win Rate Report (By Owner & Source)

Reports closed deals (won vs lost) and win rate percentages grouped by sales owner and lead source.

GET/api/v1/reports/win-rate

Query Parameters

2 parameters
date_fromdatetimerequired

Start date filter (ISO 8601)

date_todatetimerequired

End date filter (ISO 8601)

Response Payload

200 OKapplication/json
statusstring

"1" = Success, "0" = Failure.

messageobject

The response data payload.

Code Snippets & Examples

1curl -X GET "https://app.chatofy.in/api/v1/reports/win-rate" \
2 -H "Authorization: Bearer YOUR_API_KEY"

Was this endpoint guide helpful?

Previous Endpoint
Stage Conversion & Funnel Report
Next Endpoint
Follow-up Compliance Report
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X GET "https://app.chatofy.in/api/v1/reports/win-rate" \
2 -H "Authorization: Bearer YOUR_API_KEY"
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "summary": {
5 "total_won": 15,
6 "total_lost": 5,
7 "total_closed": 20,
8 "overall_win_rate_pct": 75,
9 "total_won_value": 1200000,
10 "total_lost_value": 300000
11 },
12 "by_owner": [
13 {
14 "owner_id": "u1111111-2222-3333-4444-555555555555",
15 "owner_name": "Jane Sales",
16 "won_count": 10,
17 "lost_count": 2,
18 "total_closed": 12,
19 "win_rate_pct": 83.3,
20 "won_value": 850000,
21 "lost_value": 150000
22 }
23 ],
24 "by_source": [
25 {
26 "source": "Inbound WhatsApp",
27 "won_count": 12,
28 "lost_count": 3,
29 "total_closed": 15,
30 "win_rate_pct": 80,
31 "won_value": 1000000,
32 "lost_value": 200000
33 }
34 ],
35 "date_range": {
36 "from": null,
37 "to": null
38 }
39 },
40 "message": "Win rate report generated successfully"
41}